## ocaml-ao 0.2.0

=== examples/Makefile ===
SOURCES = ao_test.ml
RESULT = ao_test
INCDIRS = ../src
LIBS = ao

all: nc

-include OCamlMakefile

=== debian/changelog ===
ocaml-ao (0.2.0-2) unstable; urgency=medium

  * Team upload
  * Fix compilation on bytecode architectures (Closes: #859966)
  * Switch to source format 3.0 (quilt)

 -- Stéphane Glondu <glondu@debian.org>  Tue, 18 Apr 2017 11:35:17 +0200

ocaml-ao (0.2.0-1) unstable; urgency=high

  * New upstream release.
  * Adapted binding to the libao 1.0.
  * Anything built against previous ocaml-ao will
    segfault with libao 1.0 so setting urgency
    to high.
  [ Lintian ]
  * Bumped standard versions to 3.8.4
  * Detailed short description
  * Removed .cmo file since .cma file is already installed
  * Install .mli file 

 -- Romain Beauxis <toots@rastageeks.org>  Mon, 21 Jun 2010 14:36:26 +0200

ocaml-ao (0.1.10-2) unstable; urgency=low

  * Use new automatic dependency system. 
  * Fixed Vcs-* fields.

 -- Romain Beauxis <toots@rastageeks.org>  Mon, 12 Oct 2009 00:36:10 -0500

ocaml-ao (0.1.10-1) unstable; urgency=low

  * New upstream release.
  * Bumped standards version to 3.8.3 
  * Changed section to ocaml
  * Clean generated file in debian/rules clean

 -- Romain Beauxis <toots@rastageeks.org>  Mon, 12 Oct 2009 00:09:24 -0500

ocaml-ao (0.1.9-3) unstable; urgency=low

  * Switch packaging to git.
  * Rebuild with OCaml 3.11.

 -- Samuel Mimram <smimram@debian.org>  Sun, 22 Feb 2009 14:48:37 +0100

ocaml-ao (0.1.9-2) experimental; urgency=low

  * New upload to experimental to build against ocaml 3.11.
  * Versioned ocaml-related build-dep to avoid confusion.
  * Switched to cdbs
  * Changed maintainer to the debian ocaml team.
  * Added dh-ocaml to build-deps.
  * Updated standards to 3.8.0.
  * Added watch file.

 -- Romain Beauxis <toots@rastageeks.org>  Sat, 13 Dec 2008 22:46:13 +0100

ocaml-ao (0.1.9-1) unstable; urgency=low

  [ Stefano Zacchiroli ]
  * add vcs-* fields

  [ Romain Beauxis ]
  * New upstream release, now installs .cmx file
  * Added Liquidsoap Packaging Team as maintainer
  * Updated standards to 3.7.3
  * Dropped no more needed patches
  * Removed build-dep on camlp4, builds fine without

 -- Romain Beauxis <toots@rastageeks.org>  Tue, 15 Apr 2008 02:13:22 +0100

ocaml-ao (0.1.7.1-4) unstable; urgency=low

  * Rebuild with OCaml 3.10.
  * Added camlp4.dpatch in order to adapt to new camlp4.

 -- Samuel Mimram <smimram@debian.org>  Sun, 09 Sep 2007 18:00:34 +0200

ocaml-ao (0.1.7.1-3) unstable; urgency=low

  * Using dpatch to handle patches.
  * Added install.dpatch to correctly install on non-native archs.

 -- Samuel Mimram <smimram@debian.org>  Sun, 29 Apr 2007 00:10:30 +0200

ocaml-ao (0.1.7.1-2) unstable; urgency=low

  * Correct the copyright file: library is under LGPL and not GPL.

 -- Samuel Mimram <smimram@debian.org>  Tue, 10 Apr 2007 14:28:25 +0000

ocaml-ao (0.1.7.1-1) unstable; urgency=low

  * Initial release, closes: #412704.

 -- Samuel Mimram <smimram@debian.org>  Fri,  2 Mar 2007 18:57:24 +0100

=== debian/control ===
Source: ocaml-ao
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Samuel Mimram <smimram@debian.org>, Romain Beauxis <toots@rastageeks.org>
Build-Depends: cdbs (>= 0.4.53),
 debhelper (>= 7.0.1),
 ocaml-nox,
 dh-ocaml (>= 0.9), libao-dev, ocaml-findlib (>= 1.2.4), pkg-config
Standards-Version: 3.8.4
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocaml-ao.git
Vcs-Git: git://git.debian.org/pkg-ocaml-maint/packages/ocaml-ao.git

Package: libao-ocaml
Architecture: any
Depends: ${ocaml:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${ocaml:Provides}
Description: OCaml bindings for libao -- runtime files
 OCaml bindings for the cross platform audio output library.
 .
 Libao is a cross-platform audio library that allows programs to output audio
 using a simple API on a wide variety of platforms.
 .
 This package contains only the shared runtime stub libraries.

Package: libao-ocaml-dev
Architecture: any
Depends: ${ocaml:Depends}, libao-dev, libao-ocaml (= ${binary:Version}),
         ocaml-findlib, ${misc:Depends}
Provides: ${ocaml:Provides}
Description: OCaml bindings for libao -- development files
 OCaml bindings for the cross platform audio output library.
 . 
 Libao is a cross-platform audio library that allows programs to output audio
 using a simple API on a wide variety of platforms.
 .
 This package contains all the development stuff you need to use ocaml-ao
 in your programs.

=== debian/watch ===
version=3

http://sf.net/savonet/ocaml-ao-([0-9\.]*)\.tar\.gz debian uupdate

## ocaml-ao 0.2.1

=== debian/changelog ===
ocaml-ao (0.2.1-1) unstable; urgency=medium

  * Team upload
  * Remove Samuel and Romain from Uploaders
  * Add Homepage and update debian/watch
  * New upstream release
  * Update Vcs-* to point to salsa
  * Bump debhelper compat level to 13 and stop using cdbs
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Tue, 25 Aug 2020 06:51:29 +0200

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,18 @@
 Section: ocaml
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
-Uploaders: Samuel Mimram <smimram@debian.org>, Romain Beauxis <toots@rastageeks.org>
-Build-Depends: cdbs (>= 0.4.53),
- debhelper (>= 7.0.1),
+Build-Depends:
+ debhelper-compat (= 13),
  ocaml-nox,
- dh-ocaml (>= 0.9), libao-dev, ocaml-findlib (>= 1.2.4), pkg-config
-Standards-Version: 3.8.4
-Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocaml-ao.git
-Vcs-Git: git://git.debian.org/pkg-ocaml-maint/packages/ocaml-ao.git
+ dh-ocaml,
+ libao-dev,
+ ocaml-findlib,
+ pkg-config
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Homepage: https://github.com/savonet/ocaml-ao
+Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-ao
+Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-ao.git
 
 Package: libao-ocaml
 Architecture: any
@@ -30,7 +34,7 @@
 Provides: ${ocaml:Provides}
 Description: OCaml bindings for libao -- development files
  OCaml bindings for the cross platform audio output library.
- . 
+ .
  Libao is a cross-platform audio library that allows programs to output audio
  using a simple API on a wide variety of platforms.
  .

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/ocaml/ocamlvars.mk

DESTDIR = $(CURDIR)/debian/tmp$(OCAML_STDLIB_DIR)

%:
	dh $@ --with ocaml

override_dh_autoreconf:
	./bootstrap

override_dh_auto_build:
	dh_auto_build
	$(MAKE) doc

override_dh_auto_install:
	mkdir -p $(DESTDIR) $(CURDIR)/debian/tmp$(OCAML_DLL_DIR)
	$(MAKE) install OCAMLFIND_DESTDIR=$(DESTDIR) OCAMLFIND_LDCONF=ignore
	rm -f $(CURDIR)/debian/tmp$(OCAML_DLL_DIR)/*.owner

=== debian/watch ===
version=3
https://github.com/savonet/ocaml-ao/releases .*ocaml-ao-v?([0-9.]+)\.tar\.gz

## ocaml-ao 0.2.3

=== debian/changelog ===
ocaml-ao (0.2.3-1build1) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Jan 2022 17:20:45 +0100

ocaml-ao (0.2.3-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Wed, 24 Nov 2021 08:28:11 +0100

ocaml-ao (0.2.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump Standards-Version to 4.6.0

 -- Stéphane Glondu <glondu@debian.org>  Tue, 23 Nov 2021 15:30:51 +0100

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,10 @@
  ocaml-nox,
  dh-ocaml,
  libao-dev,
- ocaml-findlib,
+ ocaml-dune,
+ libdune-ocaml-dev,
  pkg-config
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://github.com/savonet/ocaml-ao
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-ao

## ocaml-ao 0.2.4

=== debian/changelog ===
ocaml-ao (0.2.4-4) unstable; urgency=medium

  * Team upload
  * Remove obsolete debian/control.in
  * Switch debian/watch to version 5
  * Bump Standards-Version to 4.7.3
  * Remove Rules-Requires-Root

 -- Stéphane Glondu <glondu@debian.org>  Thu, 08 Jan 2026 08:42:44 +0100

ocaml-ao (0.2.4-3) unstable; urgency=medium

  * Team upload
  * Include ocamlvars.mk in debian/rules

 -- Stéphane Glondu <glondu@debian.org>  Sun, 23 Jul 2023 06:50:19 +0200

ocaml-ao (0.2.4-2) unstable; urgency=medium

  * Team upload
  * Use ocaml_dune DH buildsystem

 -- Stéphane Glondu <glondu@debian.org>  Sat, 15 Jul 2023 14:17:37 +0200

ocaml-ao (0.2.4-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Thu, 03 Mar 2022 11:39:13 +0100

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,13 @@
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- ocaml-nox,
- dh-ocaml,
+ ocaml,
+ dh-ocaml (>= 1.2),
  libao-dev,
  ocaml-dune,
  libdune-ocaml-dev,
  pkg-config
-Standards-Version: 4.6.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.3
 Homepage: https://github.com/savonet/ocaml-ao
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-ao
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-ao.git

=== debian/watch ===
Version: 5

Source: https://github.com/savonet/ocaml-ao/tags
Matching-Pattern: .*/tags/v?([0-9.]+)\.tar\.gz
